# $Revision: 1.36 $, $Date: 2010/10/09 15:59:09 $
# TODO:
# - update pl/en desription (sync with what's on pear's site)

%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Image_Graph
Summary:	%{_pearname} - drawing graphs out of numerical data (traffic, money, ...)
Summary(pl.UTF-8):	%{_pearname} - rysowanie wykresów danych liczbowych (handel, pieniądze, ...)
Name:		php-pear-%{_pearname}
Version:	0.8.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8755a8a86b4fd0fe8aa0bc13ed98f598
URL:		http://pear.php.net/package/Image_Graph/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.571
Requires:	php-pear
Requires:	php-pear-Image_Canvas >= 0.3.0
Requires:	php-pear-PEAR-core >= 1:1.3.1
Suggests:	php-pear-Numbers_Roman
Suggests:	php-pear-Numbers_Words
Obsoletes:	php-pear-Image_Graph-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Numbers/Roman.php)' 'pear(Numbers/Words.php)'

%description
Features:
- drawing graphs in various formats (line, bar, points marked by
  squares/rhombs/triangles/...)
- multiple graphs in one diagram
- up to 2 Y-axes
- flexible Y-value-output-customisation
- variable ticks for the Y-axes
- color-support
- ...

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Możliwości:
- rysowanie wykresów w różnych formatach (liniowym, słupkowym, punktów
  oznaczonych kwadratami/rombami/trójkątami...)
- wiele wykresów na jednym diagramie
- do dwóch osi Y
- elastyczne dostosowywanie wartości na osi Y
- zmienny krok dla osi Y
- obsługa koloru
- ...

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

# packagers junk
rm -f .%{php_pear_dir}/data/Image_Graph/.project
rm -f .%{php_pear_dir}/data/Image_Graph/gendocHTML.sh
rm -f .%{php_pear_dir}/data/Image_Graph/gendocPeardoc2.sh

mv docs/%{_pearname}/docs/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# tests should not be packaged
rm -rf $RPM_BUILD_ROOT%{php_pear_dir}/tests/%{_pearname}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Image/Graph.php
%{php_pear_dir}/Image/Graph

%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Image_Graph.spec,v $
Revision 1.36  2010/10/09 15:59:09  glen
- up to 0.8.0, drop tests

Revision 1.35  2010/08/21 19:08:52  glen
- updated deps with pearize.sh
- release 3

Revision 1.34  2008/01/31 12:16:07  glen
- rel 2

Revision 1.33  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.31  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.30  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.29  2006/04/02 11:22:51  glen
- 0.7.2

Revision 1.28  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.27  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.26  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.25  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.24  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.23  2005/10/27 18:43:44  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.22  2005/10/06 17:32:39  glen
- update to 0.7.1

Revision 1.21  2005/10/05 18:31:31  glen
- rel 2

Revision 1.20  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.19  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.18  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.17  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.16  2005/08/29 06:34:45  adamg
- updated to 0.6.0

Revision 1.15  2005/08/21 18:16:58  adamg
- updated to 0.5.0

Revision 1.14  2005/05/24 14:59:51  ankry
- rel. 2

Revision 1.13  2005/03/27 16:09:13  adamg
- updated to 0.3.0

Revision 1.12  2004/12/03 22:17:03  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.11  2004/10/31 22:10:46  paladine
- spaces->tabs
- formatting

Revision 1.10  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.9  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.8  2004/02/22 18:49:17  adamg
- updated to 0.2.1

Revision 1.7  2004/02/14 22:03:26  adamg
- updated to 0.2.0RC1

Revision 1.6  2003/12/07 13:10:07  qboosh
- typo

Revision 1.5  2003/12/06 22:00:50  adamg
- updated to 0.1.1

Revision 1.4  2003/11/02 19:53:05  ankry
- capitals unification

Revision 1.3  2003/11/02 15:19:44  qboosh
- pl

Revision 1.2  2003/11/02 14:46:26  adamg
- fixed URL

Revision 1.1  2003/11/02 14:24:45  adamg
- initial import
